Skip to content

cart.create

POST
/cart_create

This is only used for Product-Page Checkout to create a cart filled with items.

Authorization

ApiKeyAuth X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Scope: X-API-Key

Header Parameters

X-Bolt-Hmac-Sha256?string

Bolt sends a signed HMAC for hook verification

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/cart_create" \  -H "Content-Type: application/json" \  -d '{}'
{  "event": "cart.create",  "status": "success",  "data": {    "cart": {      "total_amount": 9900,      "items": [        {          "reference": "1123",          "name": "Blue Hat",          "description": " Large blue satin hat with initials embroidered.",          "options": "string option",          "total_amount": 9900,          "unit_price": 500,          "tax_amount": {            "amount": 754,            "currency": "USD",            "currency_symbol": "$"          },          "quantity": 3,          "uom": "string",          "upc": "string",          "sku": "SKU-11021",          "isbn": "12-345-678-90123",          "brand": "Bolt Swagstore",          "manufacturer": "Bolt Factory",          "category": "hats",          "collections": [            "summer"          ],          "tags": "red",          "color": "Red",          "size": "XXL",          "weight": {            "weight": 22,            "unit": "kg"          },          "image_url": "https://boltswagstore.com/inventory/hats/red-hat.png",          "details_url": "https://boltswagstore.com/inventory/hats/red-hat.png",          "type": "physical",          "taxable": true,          "properties": [            {              "name": "a-name",              "value": "a-value"            }          ],          "item_group": "Ships Immediately",          "shipment_type": "unknown",          "customizations": [            {              "name": "Bedazzled",              "price": {                "amount": 754,                "currency": "USD",                "currency_symbol": "$"              },              "attributes": {                "key1": "value1",                "key2": "value2"              }            }          ],          "bolt_product_id": "e2bb0e7e-5625-536f-8ad7-25a26537ee28",          "gift_options": {            "wrap": false,            "message": "Happy Anniversary, Smoochy Poo!",            "cost": 785,            "merchant_product_id": "881"          }        }      ],      "discounts": [        {          "amount": {            "amount": 754,            "currency": "USD",            "currency_symbol": "$"          },          "code": "SUMMERFUN15",          "reference": "SUMMERFUN15",          "description": "Take 15% off of your order.",          "details_url": "https://boltswagstore.com/discounts/#12345",          "free_shipping": {            "is_free_shipping": false,            "maximum_cost_allowed": 100          },          "discount_category": "coupon"        }      ],      "order_reference": "order-12345",      "display_id": "ID-12345",      "cart_url": "https://boltswagstore.com/orders/123456765432",      "currency": "USD",      "metadata": [        {          "key1": "value 1"        }      ]    }  }}